Skip to main content
GET
/
customers
List customers
curl --request GET \
  --url https://api.natural.co/customers \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "type": "party",
      "id": "pty_019cd4a832f17d8d8ef15e20c51fe718",
      "attributes": {
        "email": null,
        "status": "ACTIVE",
        "permissions": [
          "payments:read",
          "payments:write",
          "wallets.read"
        ],
        "created_at": "2026-01-04T15:30:00Z",
        "wallet_available_minor": 950000,
        "wallet_available_dollars": "9500.00",
        "wallet_access": "granted",
        "party": {
          "id": "pty_019cd4a832f17d8d8ef15e20c51fe718",
          "name": "Natural",
          "email": "contact@natural.co"
        }
      }
    },
    {
      "type": "delegation_invitation",
      "id": "din_019cd4a832f27e6a93cb41d85f2a9b03",
      "attributes": {
        "email": null,
        "status": "ACTIVE",
        "permissions": [
          "payments:read",
          "payments:write",
          "wallets.read"
        ],
        "created_at": "2026-01-04T15:30:00Z",
        "wallet_available_minor": 950000,
        "wallet_available_dollars": "9500.00",
        "wallet_access": "granted",
        "party": {
          "id": "pty_019cd4a832f17d8d8ef15e20c51fe718",
          "name": "Natural",
          "email": "contact@natural.co"
        }
      }
    }
  ],
  "meta": {
    "pagination": {
      "has_more": false,
      "next_cursor": null
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Agent-ID
string | null

Agent ID (agt_xxx) identifying which agent is making the request.

X-Instance-ID
string | null

Agent session/conversation ID for observability.

Maximum string length: 1024

Query Parameters

cursor
string | null

Cursor for pagination

limit
integer
default:20

Maximum number of results

Required range: 1 <= x <= 100

Response

Successful Response

List response for customers (mixed types in data[]).

data
(CustomerPartyResource · object | CustomerInvitationResource · object)[]
required

List of resources

Customer resource for active delegations (type='party', id=pty_xxx).

meta
ResponseMeta · object

Response metadata